* example 6c;

* location of datafile (in MS ACCESS format);
libname nys access 'h:\epimap\datafiles\nys\vital_stats.mdb';

* change type of variable county from character to numeric;
* refer to data set with LIBNAME andname of VIEW in ACCESS file;
data nysdeath;
set nys.deaths (rename=(county=temp));
county = input(temp,best.);
drop temp;
run;

* what variables are in the data set NYSDEATH (remove *'s to run PROC CONTENTS);
* proc contents data=nysdeath;
* run;

* create a map data set containing projected coordinates - limit the map to New York state;
proc gproject
data=maps.counties
out=nys;
where state eq 36;
id state;
run;

* goptions;
goptions reset=all
device=gif
gsfname=gif_out
ftext='Tahoma'
htext=3
gunit=pct
xpixels=1024
ypixels=768
;

*fill patterns for the map areas (gray-scale fills);
pattern1 v=s c=grayff;
pattern2 v=s c=grayda;
pattern3 v=s c=grayaa;
pattern4 v=s c=gray68;

* create instructions for legend location and appearance;
legend1
origin=(5,10) pct
mode=share
across=1
label=none
value=(j=r)
shape=bar(3,4) pct;

* specify the name of the file to be created;
filename gif_out 'z:\nys_mapc.gif';

* variable to be mapped in the cHORO statement;
* levels=4 gives a QUARTILE map;
proc gmap
data=nysdeath
map=nys (where=(density lt 6));
id county;
choro diabetes_a /
levels=4
legend=legend1
coutline=black;
note ' EXAMPLE #6c'
j=l  ' NEW YORK STATE'
j=l  ' DIABETES MORTALITY (AGE-ADJUSTED RATES)';
run;
quit;
